libtiff libtiff 跨界内存读

CVE编号

CVE-2022-2867

利用情况

暂无

补丁情况

N/A

披露时间

2022-08-18
漏洞描述
libtiff's tiffcrop utility has a uint32_t underflow that can lead to out of bounds read and write. An attacker who supplies a crafted file to tiffcrop (likely via tricking a user to run tiffcrop on it with certain parameters) could cause a crash or in some cases, further exploitation.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libtiff libtiff * Up to
(excluding)
4.4.0
运行在以下环境
应用 libtiff libtiff 4.4.0 -
运行在以下环境
系统 alpine_3.13 tiff * Up to
(excluding)
4.4.0-r0
运行在以下环境
系统 alpine_3.14 tiff * Up to
(excluding)
4.4.0-r0
运行在以下环境
系统 alpine_3.15 tiff * Up to
(excluding)
4.4.0-r0
运行在以下环境
系统 alpine_3.16 tiff * Up to
(excluding)
4.4.0-r0
运行在以下环境
系统 alpine_3.17 tiff * Up to
(excluding)
4.4.0-r0
运行在以下环境
系统 alpine_edge tiff * Up to
(excluding)
4.4.0-r0
运行在以下环境
系统 amazon_2 tiff * Up to
(excluding)
4.0.3-35.amzn2.0.3
运行在以下环境
系统 amazon_AMI tiff * Up to
(excluding)
4.0.3-35.40.amzn1
运行在以下环境
系统 debian_10 tiff * Up to
(including)
4.1.0+git191117-2~deb10u4
运行在以下环境
系统 debian_11 tiff * Up to
(including)
4.2.0-1+deb11u1
运行在以下环境
系统 suse_12_SP5 tiff * Up to
(excluding)
4.0.9-44.56.1
运行在以下环境
系统 ubuntu_14.04 tiff * Up to
(excluding)
4.0.3-7ubuntu0.11+esm3
运行在以下环境
系统 ubuntu_16.04 tiff * Up to
(excluding)
4.0.6-1ubuntu0.8+esm3
运行在以下环境
系统 ubuntu_18.04 tiff * Up to
(excluding)
4.0.9-5ubuntu0.8
运行在以下环境
系统 ubuntu_20.04 tiff * Up to
(excluding)
4.1.0+git191117-2ubuntu0.20.04.6
运行在以下环境
系统 ubuntu_22.04 tiff * Up to
(excluding)
4.3.0-6ubuntu0.2
CVSS3评分
8.8
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
    需要
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-125 跨界内存读
CWE-191 整数下溢(超界折返)
CWE-787 跨界内存写
阿里云安全产品覆盖情况